%global enable_tests 1
%global srcname relateurl

Name:           nodejs-%{srcname}
Version:        0.2.7
Release:        4%{?dist}
Summary:        Minify URLs by converting them from absolute to relative
License:        MIT
URL:            https://github.com/stevenvachon/relateurl
Source0:        https://github.com/stevenvachon/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(chai)
%endif


%description
%{summary}.


%prep
%setup -q -n %{srcname}-%{version}
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha test/ --bail --reporter spec --check-leaks
%endif


%files
%doc README.md
%license license
%{nodejs_sitelib}/%{srcname}


%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 30 2016 Piotr Popieluch <piotr1212@gmail.com> - - 0.2.7-1
- Update to 0.2.7

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb  3 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.2.6-1
- Updated to upstream release 0.2.6
- License from source

* Tue Dec 16 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.2.5-3
- Added license from upstream

* Sat Dec  6 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.2.5-2
- Removed Group tag
- Added rm -rf node_modules/
- Replaced nodejs-chai with npm(chai)

* Sun Nov 16 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.2.5-1
- Initial package
